package v1;
// SuperProEx7.java
// Checking analog outputs, connect oscilloscope to analog output port

import ch.aplu.nxt.*;

public class SuperProEx7
{
  public SuperProEx7()
  {
    NxtRobot robot = new NxtRobot();
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
    sps.setAnalogOut(0, 3, 1000, 1023);  // Port 0, sawtooth wave, 1000 Hz, 3.3V pep
    robot.exit();
  }

  public static void main(String[] args)
  {
    new SuperProEx7();
  }
}
